import request from '/@/utils/request';

/**
 * @summary 通过泵站 ID, 获取所有设备目录
 */
export const GetAllEquipmentDirectoryByID = async (params, req: any = request) => {
	return req({
		url: '/Assets/Equipment/Directory/GetByBelongTypeAndBelongID@V1.0',
		method: 'GET',
		data: params,
	});
};

/**
 * @summary 添加一个设备目录
 */
export const InsertAEquipmentDirectory = async (params, req: any = request) => {
	return req({
		url: '/Assets/Equipment/Directory/Insert@V1.0',
		method: 'POST',
		data: params,
	});
};

/**
 * @summary 修改一个设备目录记录
 */
export const UpdateAEquipmentDirectory = async (params, req: any = request) => {
	return req({
		url: '/Assets/Equipment/Directory/Update@V1.0',
		method: 'PUT',
		data: params,
	});
};

/**
 * @summary 删除一条设备目录记录
 */
export const DeleteAEquipmentDirectory = async (params, req: any = request) => {
	return req({
		url: '/Assets/Equipment/Directory/DeleteByID@V1.0',
		method: 'DELETE',
		params: params,
	});
};

/**
 * @summary 修改设备目录表格排序码
 */
export const UpdateEquipmentDirectorySorter = async (params, req: any = request) => {
	return req({
		url: '/Assets/Equipment/Directory/UpdateSorter@V1.0',
		method: 'PUT',
		data: params,
	});
};

/**
 * @summary 检查是否已存在编码
 */
export const GetIsExistEquipmentDirectoryTagName = async (params, req: any = request) => {
	return req({
		url: '/Assets/Equipment/Directory/IsExistTagName@V1.0',
		method: 'GET',
		params: params,
	});
};
